.PHONY: all bitmap pdf clean

all: bitmap
	@echo
	@echo "Bitmap files generated successfully."
	@echo "You can use the 'pdf' target to build PDF files."

bitmap: \
	owlps_sequence_diagram.png \
	positioner_input_output.png \
	positioner_class_diagram.png \
	positioner_class_diagram_simple.png \
	positioner_process.png

pdf: \
	owlps_sequence_diagram.pdf \
	positioner_input_output.pdf \
	positioner_class_diagram.pdf \
	positioner_class_diagram_simple.pdf \
	positioner_process.pdf

clean:
	rm -f *.png *.pdf *~

### Generic targets ###

# Graphviz files

%.png: %.dot
	dot -Tpng -o $@ $<

%.pdf: %.dot
	dot -Tpdf -o $@ $<

# PlantUML files

%.png: %.plant
	plantuml -tpng $<

%.eps: %.plant
	plantuml -teps $<

%.pdf: %.eps
	epstopdf $<

# UMLet files

%.png: %.uxf
	umlet -action=convert -format=png -filename=$< -output=$*

%.pdf: %.uxf
	umlet -action=convert -format=pdf -filename=$< -output=$*
